Delete Social Post
curl --request DELETE \
--url https://api.example.com/social/post/{post_id}import requests
url = "https://api.example.com/social/post/{post_id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://api.example.com/social/post/{post_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Social
Delete Social Post
Delete a social post.
DELETE
/
social
/
post
/
{post_id}
Delete Social Post
Deletes a social post.
Use the
post_id returned by POST /social/post.
Request
curl -X DELETE "https://api.mosaic.so/social/post/[post_id]" \
-H "Authorization: Bearer mk_your_api_key"
Body Parameters
| Field | Type | Required | Description |
|---|---|---|---|
social_connection_id | string (uuid) | No | Delete using one specific connected account. Useful when a post targets multiple accounts on the same platform. |
Response
{
"post_id": "2d8ca860-f8e0-4f3f-9f2c-337ead6ed91e",
"status": "rejected"
}
Was this page helpful?
⌘I